Package com.collibra.dgc.core.api.dto.assignment

# Class AddScopeRequest.Builder

Object
Builder

Enclosing class:
  `AddScopeRequest`

public static final class AddScopeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddScopeRequest`
  `build()`
  `AddScopeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddScopeRequest.Builder`
  `communityIds(List<UUID> communityIds)`
  The list of IDs for communities assigned to the new scope.
  `AddScopeRequest.Builder`
  `description(String description)`
  The description of the new scope.
  `AddScopeRequest.Builder`
  `domainIds(List<UUID> domainIds)`
  The list of IDs for domains assigned to the new scope.
  `AddScopeRequest.Builder`
  `id(UUID id)`
  The ID of the new scope.
  `AddScopeRequest.Builder`
  `name(String name)`
  Required. The name of the new scope.
  `AddScopeRequest.Builder`
  `publicId(String publicId)`
  The public id that will be assigned to the new Scope.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddScopeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddScopeRequest.builder()`
    Clone method for this Builder.

  - ### id

    public AddScopeRequest.Builder id(UUID id)
    The ID of the new scope. Should be unique within all scopes. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.
    Returns:
      `this`.

  - ### publicId

    public AddScopeRequest.Builder publicId(String publicId)
    The public id that will be assigned to the new Scope.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

    Returns:
      `this`.

  - ### name

    public AddScopeRequest.Builder name(String name)
    Required. The name of the new scope.
    Returns:
      `this`.

  - ### description

    public AddScopeRequest.Builder description(String description)
    The description of the new scope.
    Returns:
      `this`.

  - ### domainIds

    public AddScopeRequest.Builder domainIds(List<UUID> domainIds)
    The list of IDs for domains assigned to the new scope.
    Returns:
      `this`.

  - ### communityIds

    public AddScopeRequest.Builder communityIds(List<UUID> communityIds)
    The list of IDs for communities assigned to the new scope.
    Returns:
      `this`.

  - ### build

    public AddScopeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`